RMS Home | Guide Writing | Test Server | New Servers | Latest Reviews

Author Topic: Unable to patch kro renewal lite  (Read 3649 times)

0 Members and 1 Guest are viewing this topic.

Offline Dronevil

Unable to patch kro renewal lite
« on: Feb 20, 2015, 04:41 am »
Failed to retrieve 2015-02-04data_sakray_8169-8262_1st.gpf

Using the latest kro client and also tried using the full client on the server I'm playing on and still getting the same error.

help appreciated

Advertisement

Offline Rider

Re: Unable to patch kro renewal lite
« Reply #1 on: Feb 20, 2015, 07:08 am »
I'm assuming you have all the patch info for the KRO client you are trying to update.

I don't use the default KRO patchers so I don't know if this is a common issue. I use RO Patcher Lite made by Ai4rei, you can give it a try if you want.

Offline Dronevil

Re: Unable to patch kro renewal lite
« Reply #2 on: Feb 20, 2015, 05:24 pm »
sadly, I got the same error.

Offline Rider

Re: Unable to patch kro renewal lite
« Reply #3 on: Feb 20, 2015, 10:01 pm »
I just tested patching KRO from an earlier date and it worked fine for me. Have you tried any troubleshooting like adding exception to the UAC and/or firewall for the patcher to allow it to make changes in your PC?

If nothing helps, you can get the most up to date patched KRO here http://www.nickyzai.com/?p=kro

IMO, you don't have to patch often because most servers do not adapt any new content added by KRO, most of the patches are just updated client and dlls for the same.

Offline yC

Re: Unable to patch kro renewal lite
« Reply #4 on: Feb 20, 2015, 10:25 pm »
Sometimes anti-virus / anti-spyware program blocks the connection, try to disable them temporarily and remember to turn them back on later.

Offline Dronevil

Re: Unable to patch kro renewal lite
« Reply #5 on: Feb 21, 2015, 02:00 am »
no success, still got the same error even with the latest kro client and anti-virus turned off

Offline Tokeiburu

Re: Unable to patch kro renewal lite
« Reply #6 on: Feb 22, 2015, 12:39 am »
I'd suggest you to use this patcher : http://www.mediafire.com/download/sdynte6fja0j070

It's still in beta but it should work perfectly fine for the official kRO updates. You will need .NET 3.5 to run it (which you probably already have!). The main advantage is that patches can be resumed if the connection fails.

And I believe this is the new prontera patch, which is fairly large (~ 50 MB). I'd be careful when applying it if I were you though, as you will most likely crash in prontera. If that's the case, then you'll need another patch to fix this, buuuuut that's up for another topic ;).

Offline lokiro

Re: Unable to patch kro renewal lite
« Reply #7 on: Apr 02, 2015, 08:58 am »
March 25, 2015 I did a complete mirror of Korean Ragnarok Online ftp patch server.
For people who want to quickly download patches, please use my config for TkPatcher (file attached to message).

Inside the config changed only reference to the source from which to download RO patches.
Patches downloaded from this place:

TkPatcher + Config for fast downloading Ragnarok Online patches: https://www.dropbox.com/s/46sy46zi9ifgxyg/TkPatcher_EuropeMirror.zip?dl=0

European Mirror Link: (not always stable) http://ragnarokwiki.com/kro_patch/